package gov.va.med.cds.socket.server.handler;

import gov.va.med.cds.exception.AbstractCdsBaseException;
import gov.va.med.cds.exception.ErrorCodeEnum;

public class DataBaseAccessException extends AbstractCdsBaseException {

	private static final long serialVersionUID = -1861014450645700799L;
	
	public DataBaseAccessException(ErrorCodeEnum errorCode)
	{
		super(errorCode);
	}

	  /**
     * @param errorCode
     * @param cause
     */
    public DataBaseAccessException( ErrorCodeEnum errorCode, Throwable cause )
    {
        super( errorCode, cause );
    }


    /**
     * @param errorCode
     * @param cause
     * @param customMsgValues
     */
    public DataBaseAccessException( ErrorCodeEnum errorCode, Throwable cause, String... customMsgValues )
    {
        super( errorCode, cause, customMsgValues );
    }

    public DataBaseAccessException( ErrorCodeEnum errorCode, String... customMsgValues )
    {
        super( errorCode, customMsgValues );
    }


}
